Definitions for library objects
Class instantiation

## Macros

#define | FLEXT_LIB_SETUP(NAME, SETUPFUN)
| Specify that to declare the library itself.
#define | FLEXT_SETUP(cl)
| Register an object in the library.
#define | FLEXT_DSP_SETUP(cl)
| Register a DSP object in the library.

## Detailed Description

## Macro Definition Documentation

## FLEXT_DSP_SETUP

#define FLEXT_DSP_SETUP | ( |  | cl | ) |

Value:
REAL_SETUP(cl,1)
REAL_SETUP
#define REAL_SETUP(cl, DSP)
Definition flbase.h:423

Register a DSP object in the library.

Note
  This is used in the library setup function

## FLEXT_LIB_SETUP

#define FLEXT_LIB_SETUP | ( |  | NAME,
|  |  | SETUPFUN )

Value:
REAL_LIB_SETUP(NAME,SETUPFUN)

Specify that to declare the library itself.

Note
  If you have a library this is compulsory (to register all the objects of the library)

## FLEXT_SETUP

#define FLEXT_SETUP | ( |  | cl | ) |

Value:
REAL_SETUP(cl,0)

Register an object in the library.

Note
  This is used in the library setup function